
package ar.charlycimino.ejemplos;

import java.util.Scanner;

/**
 *
 * @author Charly Cimino
 * Aprendé más Java en mi canal: https://www.youtube.com/c/CharlyCimino
 * Encontrá más código en mi repo de GitHub: https://github.com/CharlyCimino
 */
public class CiclosAnidados {
    
    static final int EDAD_LEGAL = 18;
    static final int EDAD_MIN = 1;
    static final int EDAD_MAX = 122;

    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        int cantPersonas, edad, contMayoresDeEdad = 0;
        double porcMayoresDeEdad;
        
        System.out.print("Ingresá la cantidad de personas: ");
        cantPersonas = Integer.parseInt(input.nextLine());
        
        while (cantPersonas <= 0) {
            System.out.print("ERROR. Ingresá la cantidad de personas: ");
            cantPersonas = Integer.parseInt(input.nextLine());
        }
        
        for (int i = 1; i <= cantPersonas; i++) {
            System.out.print("Ingresá la edad de la persona nº " + i + ": ");
            edad = Integer.parseInt(input.nextLine());
            while ( !(edad >= EDAD_MIN && edad <= EDAD_MAX) ) {
                System.out.print("ERROR. Ingresá la edad de la persona nº " + i + ": ");
                edad = Integer.parseInt(input.nextLine());
            }
            if (edad >= EDAD_LEGAL) {
                contMayoresDeEdad++; // contMayoresDeEdad = contMayoresDeEdad + 1;
            }
        }
        
        porcMayoresDeEdad = (contMayoresDeEdad * 100.0) / cantPersonas;
        System.out.println(porcMayoresDeEdad + "% de personas fueron mayores de " + EDAD_LEGAL);
        
    }

}
